GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
dns_resolver Struct Reference

## Data Fields
grpc_resolver | base
| base class: must be first More...
gpr_refcount | refs
| refcount More...
char * | name
| name to resolve More...
char * | default_port
| default port to use More...
grpc_subchannel_factory * | subchannel_factory
| subchannel factory More...
grpc_lb_policy *(* | lb_policy_factory )(grpc_subchannel **subchannels, size_t num_subchannels)
| load balancing policy factory More...
gpr_mu | mu
| mutex guarding the rest of the state More...
int | resolving
| are we currently resolving? More...
int | published_version
| which version of resolved_config have we published? More...
int | resolved_version
| which version of resolved_config is current? More...
grpc_iomgr_closure * | next_completion
| pending next completion, or NULL More...
grpc_client_config ** | target_config
| target config address for next completion More...
grpc_client_config * | resolved_config
| current (fully resolved) config More...

## Field Documentation

grpc_resolver dns_resolver::base

base class: must be first

char* dns_resolver::default_port

default port to use

grpc_lb_policy*(* dns_resolver::lb_policy_factory)(grpc_subchannel **subchannels, size_t num_subchannels)

load balancing policy factory

gpr_mu dns_resolver::mu

mutex guarding the rest of the state

char* dns_resolver::name

name to resolve

grpc_iomgr_closure* dns_resolver::next_completion

pending next completion, or NULL

int dns_resolver::published_version

which version of resolved_config have we published?

gpr_refcount dns_resolver::refs

refcount

grpc_client_config* dns_resolver::resolved_config

current (fully resolved) config

int dns_resolver::resolved_version

which version of resolved_config is current?

int dns_resolver::resolving

are we currently resolving?

grpc_subchannel_factory* dns_resolver::subchannel_factory

subchannel factory

grpc_client_config** dns_resolver::target_config

target config address for next completion

The documentation for this struct was generated from the following file:

- src/core/client_config/resolvers/dns_resolver.c